> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Resume Paused Bundle Automation

> Resume a bundle automation that was paused by the circuit breaker after detecting excessive membership changes.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/catalogs/{request_catalog_id}/bundle_automation/resume
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/catalogs/{request_catalog_id}/bundle_automation/resume:
    post:
      tags:
        - Request Catalog
      summary: Resume Paused Bundle Automation
      description: >-
        Resume a bundle automation that was paused by the circuit breaker after
        detecting excessive membership changes.
      operationId: >-
        c1.api.requestcatalog.v1.RequestCatalogManagementService.ResumePausedBundleAutomation
      parameters:
        - in: path
          name: request_catalog_id
          required: true
          schema:
            description: >-
              The unique identifier of the access profile whose automation
              should be resumed.
            readOnly: false
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.requestcatalog.v1.ResumePausedBundleAutomationRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.requestcatalog.v1.ResumePausedBundleAutomationResponse
          description: The response message for resuming a paused bundle automation.
      x-codeSamples:
        - lang: go
          label: ResumePausedBundleAutomation
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.RequestCatalogManagement.ResumePausedBundleAutomation(ctx, operations.C1APIRequestcatalogV1RequestCatalogManagementServiceResumePausedBundleAutomationRequest{\n        RequestCatalogID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.ResumePausedBundleAutomationResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.requestCatalogManagement.resumePausedBundleAutomation({
                requestCatalogId: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.requestcatalog.v1.ResumePausedBundleAutomationRequestInput:
      description: The request message for resuming a paused bundle automation.
      title: Resume Paused Bundle Automation Request
      type: object
      x-speakeasy-name-override: ResumePausedBundleAutomationRequest
    c1.api.requestcatalog.v1.ResumePausedBundleAutomationResponse:
      description: The response message for resuming a paused bundle automation.
      title: Resume Paused Bundle Automation Response
      type: object
      x-speakeasy-name-override: ResumePausedBundleAutomationResponse
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````